## org.exist.xupdate
Class Conditional

    java.lang.Object
      org.exist.xupdate.Modification
          org.exist.xupdate.Conditional

public class Conditional
extends Modification

Author:
  wolf

Constructor Summary
`Conditional(DBBroker broker, DocumentSet docs, java.lang.String selectStmt, java.util.Map namespaces, java.util.Map variables)`

Method Summary
`void` `addModification(Modification mod)`
`java.lang.String` `getName()`
`long` `process(Txn transaction)` Process the modification.

Methods inherited from class org.exist.xupdate.Modification
`getAccessContext, setAccessContext, setContent, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Conditional

    public Conditional(DBBroker broker,
                       DocumentSet docs,
                       java.lang.String selectStmt,
                       java.util.Map namespaces,
                       java.util.Map variables)

Parameters:
  `broker` -
  `docs` -
  `selectStmt` -
  `namespaces` -

Method Detail

### addModification

    public void addModification(Modification mod)

### process

    public long process(Txn transaction)
                 throws PermissionDeniedException,
                        LockException,
                        EXistException,
                        XPathException

  Description copied from class: `Modification`
  Process the modification. This is the main method that has to be implemented by all subclasses.

  Specified by:
    `process` in class `Modification`
  Parameters:
    `transaction` -
  Throws:
    `EXistException`
    `XPathException`
    `LockException`
    `PermissionDeniedException`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `Modification`

Copyright (C) Wolfgang Meier. All rights reserved.